/*
* GSM Security Switch (v1.0)
* Hardware: Arduino Nano V3 & SIM800L GSM Module 
* Arduino IDE: 1.6.9
* T.K.Hareendran / 2018
*/

//Connect TXD pin of the GSM module to D10 
//Connect the RXD pin of the GSM module to D11 
//SMS Trigger Input (Sense Pin) connected to D9 (Active LOW) - see text

#include <SoftwareSerial.h>
SoftwareSerial smsSerial(10,11); // RX and TX pins to communicate with GSM module
#define sense_pin 9
#define status_pin 12
String number ="9446582139"; // Recipient's number - see text
void setup()
{
   
  Serial.begin(9600);
  smsSerial.begin(9600);
   pinMode(sense_pin,INPUT);
   digitalWrite(sense_pin,HIGH); // Enable internal pull-up
   
   }
void loop()
{
  if (smsSerial.available())
  {
    digitalWrite(status_pin,HIGH); // Enable status indicator if serial is available
  }
   //Sends an sms everytime sense_pin sets off
   if (digitalRead(sense_pin)==LOW) // Check if the sense_pin sets off
   {
     smsSerial.println("AT+CMGF=1"); // Set to Text Mode
      delay(150);
      smsSerial.println("AT+CMGS=\"+91"+number+"\""); // Specify recipient's number in international format
      delay(150);
      smsSerial.print("Warning!Intrusion"); // Enter the alert message 
      delay(150);
      smsSerial.write((byte)0x1A); // End of message character 0x1A (CTRL+Z)
      delay(50);
      smsSerial.println();
   }
  
}


